#include "initscreen.h"
using namespace STDP;

void initscreen::mostrarPresents(){
	string produccion = "Lesbinary productions presenta:";

	StdPijo& stdp = StdPijo::p();
	stdp.init();
	stdp.clearScreen();
	stdp.setGlobalEscapeDelay(0);

	sleep(2);
	stdp.setColor(ANORMAL, CWHITE, CBLACK);

	//Mostramos letra a letra con un pequeño retardo
	for(int i = 0; (unsigned)i < produccion.length() ; i++){
		stdp.setCursor(23+i, 10);
		stdp.writeChar(produccion[i]);
		stdp.refreshScr();
		// Pequeño retardo
		usleep(45000);
	}

	sleep(2);
}

void initscreen::mostrarTitulo(){
	StdPijo& stdp = StdPijo::p();

	stdp.init();
	stdp.clearScreen();
    stdp.setGlobalEscapeDelay(0);
	stdp.setColor(ANORMAL, CYELLOW, CBLACK);
	stdp.setCursor(0,0);
	stdp.refreshScr();


	stdp.setCursor(28,2);
	stdp.writeStr(" dMMMMMMP dMP dMP dMMMMMP ");
	stdp.setCursor(28,3);
	stdp.writeStr("   dMP   dMP dMP dMP      ");
	stdp.setCursor(28,4);
	stdp.writeStr("  dMP   dMMMMMP dMMMP     ");
	stdp.setCursor(28,5);
	stdp.writeStr(" dMP   dMP dMP dMP        ");
	stdp.setCursor(28,6);
	stdp.writeStr("dMP   dMP dMP dMMMMMP     ");

	sleep(1);
	stdp.refreshScr();

	stdp.setCursor(3,8);
	stdp.writeStr("    .aMMMb  dMMMMb  dMP dMP dMMMMMP dMMMMb dMMMMMMP dMP dMP dMMMMb  dMMMMMP ");
	stdp.setCursor(3,9);
	stdp.writeStr("   dMP\"dMP dMP VMP dMP dMP dMP     dMP dMP   dMP   dMP dMP dMP.dMP dMP      ");
	stdp.setCursor(3,10);
	stdp.writeStr("  dMMMMMP dMP dMP dMP dMP dMMMP   dMP dMP   dMP   dMP dMP dMMMMK\" dMMMP     ");
	stdp.setCursor(3,11);
	stdp.writeStr(" dMP dMP dMP.aMP  YMvAP\" dMP     dMP dMP   dMP   dMP.aMP dMP\"AMF dMP        ");
	stdp.setCursor(3,12);
	stdp.writeStr("dMP dMP dMMMMP\"    VP\"  dMMMMMP dMP dMP   dMP    VMMMP\" dMP dMP dMMMMMP     ");

	sleep(1);
	stdp.refreshScr();

	stdp.setCursor(10,14);
	stdp.writeStr("   .aMMMb  dMMMMMP      dMMMMMMP dMMMMb  .aMMMb  dMP dMP ");
	stdp.setCursor(10,15);
	stdp.writeStr("  dMP\"dMP dMP             dMP   dMP.dMP dMP\"dMP dMP.dMP  ");
	stdp.setCursor(10,16);
	stdp.writeStr(" dMP dMP dMMMP           dMP   dMMMMK\" dMP dMP  VMMMMP   ");
	stdp.setCursor(10,17);
	stdp.writeStr("dMP.aMP dMP             dMP   dMP\"AMF dMP.aMP dA .dMP    ");
	stdp.setCursor(10,18);
	stdp.writeStr("VMMMP\" dMP             dMP   dMP dMP  VMMMP\"  VMMMP\"     ");

	sleep(2);
	stdp.refreshScr();


	sleep(2);


	//Mostraremos de forma intermitente el cartel de pulsar Enter como el decorado, hasta pulsarlo y que se haga una animación
	do{
		stdp.setColor(ANORMAL, CGREEN, CBLACK);
		stdp.setCursor(22,21);
		stdp.writeStr("Presione ENTER para empezar a jugar");
		stdp.refreshScr();
		usleep(150000);


		stdp.setColor(ANORMAL, CWHITE, CBLACK);

		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar(' ');
			stdp.setCursor(i,23);
			stdp.writeChar(' ');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar(' ');
			stdp.setCursor(79,i);
			stdp.writeChar(' ');
		}


		stdp.refreshScr();
		usleep(200000);


		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar('*');
			stdp.setCursor(i,23);
			stdp.writeChar('*');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar('*');
			stdp.setCursor(79,i);
			stdp.writeChar('*');
		}

		stdp.refreshScr();
		usleep(200000);

		stdp.setCursor(22,21);
		stdp.writeStr("                                   ");
		stdp.refreshScr();
		usleep(150000);
	}while (stdp.getKey() != KENTER);
	for(int i = 0; i < 80; i++){
		stdp.setCursor(i,0);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 0; i < 24; i++){
		stdp.setCursor(79,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 79; i >= 0; i--){
		stdp.setCursor(i,23);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 23; i >= 0; i--){
		stdp.setCursor(0,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	sleep(1);
	stdp.clearScreen();
	stdp.refreshScr();
	sleep(1);
}
